--- title: "Label API | Darwinium" slug: "label-api" description: "Use the Darwinium Label API to manage labels and feedback associated with identifiers, including request formats and supported operations." updated: 2026-10-22T04:56:31Z published: 2026-10-22T04:56:31Z canonical: "docs.darwinium.com/label-api" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.darwinium.com/llms.txt > Use this file to discover all available pages before exploring further. # Label API See [Labels](/v1/docs/labels) article for context, advice on the use cases and other ways to interact with labels. See [Attribute Reference](/v1/docs/attribute-reference) for list of Labels and Label Contexts ## API Authentication See [Setting up certificates & Accesses](/v1/docs/setting-up-certificates) The cert should have the API access to the node where labels want to be uploaded ## Label API Specifications Node Host: ```plaintext your-host.node.darwinidentity.com ``` Port: 9443 > [!NOTE] > Full OpenAPI schema > > Full schema is returned from GET /api/schema ### Add Example URL: ```actionscript https://your-host.node.darwinidentity.com:9443/api/label/add ``` Example Request Body: ```json {  "id": "promo_abuse",  "attributes": [    {      "name": "identity['ACCOUNT'].email['PERSONAL'].email",      "value": "test@darwinium.com"    }  ] } ``` Example Request Body with optional contexts and metadata ```json {  "id": "promo_abuse",  "attributes": [    {      "name": "identity['ACCOUNT'].email['PERSONAL'].email",      "value": "test@darwinium.com"    }  ],  "contexts": [    "probably",    "signup_bonus"  ],  "metadata": "{\"type\":\"portal\",\"analyst\":\"example@example.com\",\"notes\":\"Test notes\"}" } ``` Example Request Response: ```json {  "label_uuid": "512fa07d033341ac838c907ba1065a74" } ``` ### Remove Example URL: ```actionscript https://your-host.node.darwinidentity.com:9443/api/label/remove ``` Example Request Body (if removing by UUID): ```json {  "uuid": "512fa07d033341ac838c907ba1065a74", } ``` Example Request Body (if removing by attributes and id): ```json {  "id": "promo_abuse",  "attributes": [    {      "name": "identity['ACCOUNT'].email['PERSONAL'].email",      "value": "test@darwinium.com"    }  ] } ``` Example Request Response: ```json {  "removed_uuids": [    "512fa07d033341ac838c907ba1065a74"  ] } ``` ## Label Parameters - **id (string):** Label name, from fixed list of strings. See [Label Reference](/v1/docs/label-reference) for all supported Label names/IDs. - uuid (string): Unique identifier assigned to each label - **attributes (array):** List of dictionaries for the collection of identifiers and identifier values to assign a label to. - name (string): Name of Darwinium identifier eg. journey_id. See [Attribute Reference](/v1/docs/attribute-reference) - value (string): The value of the identifier to assign the label to. - contexts (array): Array of strings, which add additional detail to a label. See [Labels](/v1/docs/labels) article for lists of potential contexts - metadata (string): Free text field for notes on why label is being added eg. analyst investigation notes